//本文件实现检查注册名是否已存在

function Isname()
{ getajax();
  var name = document.getElementById("userID_reg").value;
if(!objRequest&&typeof XMLHttpRequest!="undefined")
   {objRequest=new XMLHttpRequest();}
var url="../INC/reg_ajax_do.asp?userID="+unescape(name);
   if(objRequest!=null) 
     {
       objRequest.onreadystatechange = nameProcess;
       objRequest.open("GET",url,true);
	  
       objRequest.send(null);
     }
}
function nameProcess()
{
var objname = document.getElementById("userIDtest");

  if(objRequest.readyState<4){
objname.innerHTML="<font color='#008000'>正在检测……</font>";
  }
  else if(objRequest.readyState == 4){
   var response = objRequest.responseText;
objname.innerHTML=unescape(response);
  }
   else{
objname.innerHTML = "Error:"+objRequest.statusText;
  }
} 
//////////////////////////以上在注册里验证用户选的注册名是否已注册  end///////////////////////////////////

//////////////////////////以下是InputInformation.asp里注册和登陆验证表单项 ///////////////////////////////////

function check_Reg(){
		if (document.orderregfrom.userID_reg.value==""){
			alert("用户名不能为空！");
			return false;
		}
		
		if(document.orderregfrom.userID_reg.value.length > 30){
          alert("用户名不能大于30个字符");
          return false;
        }
		
		
		if (document.orderregfrom.password_reg.value==""){
			alert("密码不能为空！");
			//document.getElementById("passwordtest").innerHTML="<font color='#008000'>密码不能为空!</font>";
			return false;
		}
		if (document.orderregfrom.password_reg.value!==document.orderregfrom.password2.value){
			alert("两次输入的密码不一致！");
			//document.getElementById("passwordtest2").innerHTML="<font color='#008000'>两次输入的密码不一致!</font>";
			return false;
		}

		if(document.orderregfrom.password_reg.value.length < 5){
          alert("密码长度至少6个字符！");
          return false;
        }
		
		if(document.orderregfrom.password_reg.value.length > 15){
          alert("密码长度大于5个字符小于15个字符！");
          return false;
        }
		if (document.orderregfrom.checkcode.value==""){
			alert("请输入验证码！");
			return false;
		}
		
		return true;
	}
	
function check_login(){
		if (document.orderloginfrom.userID.value==""){
			alert("请输入用户名！");
			return false;
		}
		if (document.orderloginfrom.password.value==""){
			alert("请输入密码！");
			return false;
		}
     return true;
}

//////////////////////////以上是InputInformation.asp里注册和登陆验证表单项 ///////////////////////////////////


//////////////////////////以下是LoginRegCart.asp里注册和登陆验证表单项 ///////////////////////////////////

function check_Reg2(){
		if (document.regform.userID_reg.value==""){
			alert("用户名不能为空！");
			return false;
		}
		
		if(document.regform.userID_reg.value.length > 30){
          alert("用户名不能大于30个字符");
          return false;
        }
		
		if (document.regform.password.value==""){
			alert("密码不能为空！");
			return false;
		}
		if (document.regform.password.value!==document.regform.password2.value){
			alert("两次输入的密码不一致！");
			return false;
		}
		if(document.regform.password.value.length < 5){
          alert("密码长度至少6个字符！！");
          return false;
        }
		
		if(document.regform.password.value.length > 15){
          alert("密码长度小于15个字符！");
          return false;
        }
		if (document.regform.checkcode.value==""){
			alert("请输入验证码！");
			return false;
		}

 return true;
}
	



function check_login2(){
		if (document.Loginform.userID.value==""){
			alert("请输入用户名！");
			return false;
		}
		if (document.Loginform.password.value==""){
			alert("请输入密码！");
			return false;
		}
		return true;

}


function check_logintop(){
		if (document.LoginformTop.userID.value==""){
			alert("请输入用户名！");
			return false;
		}
		if (document.LoginformTop.password.value==""){
			alert("请输入密码！");
			return false;
		}
		return true;

}

function checkpass2(){
if (document.form11.password.value!==document.form11.password2.value){
	alert("两次输入的密码不一致！");
	return false;
}
return true;
}

//////////////////////////以上是LoginRegCart.asp里注册\登陆\修改密码验证表单项 ///////////////////////////////////

function useIDLen()    //检查用户名输入长度
{
    var username = document.form1.username.value;
    var ts = document.getElementById("usernamets");
 if(username.length < 6)
 {
  ts.innerHTML ="6个字";
  return false;
 }
 else
 return true;
}




//---------------------------------InputInformation.asp里登陆注册层的控制---------------------------------------------

//打开注册
function f_s1(){
 var obj=document.getElementById("reg");//获取ID为box的对象
 obj.style.display="block";//设置对象obj为显示
 obj.style.width="1px"; //设置对象obj的宽度为1px
 var changeW=function(){ //(关于函数这一点，什么闭包，什么类、原型的，弄的我头大了，以后慢慢理解吧。这里我理解的是创建一个函数直接量并把它存进变量changeW里)
  var obj_w=parseInt(obj.style.width);//把对象的宽度转换为一个数值，并存入变量obj_w中；
  if(obj_w<426){ //判断，如果宽度数值小于600
   obj.style.width=(obj_w+Math.ceil((426-obj_w)/12))+"px";//计算对象的宽度。。。随着宽度的变长，递增量越来越小
  }
  else{
  clearInterval(bw);//如果大于等于600的话，不再执行setInterval,意思就是这个时候停止增加宽度了。
  }
 } 
 var bw=window.setInterval(changeW,1)//每0.001秒调用一次changeW
}


//打开登陆
function f_s2(){
 var obj=document.getElementById("login");//获取ID为box的对象
 obj.style.display="block";//设置对象obj为显示
 obj.style.width="1px"; //设置对象obj的宽度为1px
 var changeW=function(){ //(关于函数这一点，什么闭包，什么类、原型的，弄的我头大了，以后慢慢理解吧。这里我理解的是创建一个函数直接量并把它存进变量changeW里)
  var obj_w=parseInt(obj.style.width);//把对象的宽度转换为一个数值，并存入变量obj_w中；
  if(obj_w<426){ //判断，如果宽度数值小于600
   obj.style.width=(obj_w+Math.ceil((426-obj_w)/12))+"px";//计算对象的宽度。。。随着宽度的变长，递增量越来越小
  }
  else{
  clearInterval(bw);//如果大于等于600的话，不再执行setInterval,意思就是这个时候停止增加宽度了。
  }
 } 
 var bw=window.setInterval(changeW,1)//每0.001秒调用一次changeW
}




//关闭层
function closeW(id,w){
 var obj=document.getElementById(id);//获取ID为box的对象
 obj.style.width=w;
 var closeDiv=function(){
  var obj_w=parseInt(obj.style.width);
  if(obj_w>1){ 
   obj.style.width=(obj_w-Math.ceil(obj_w)/12)+"px";//计算对象的宽度。。。随着宽度的变长，递增量越来越小
  }
  else{
  clearInterval(bw);
  obj.style.display="none";
  }
 } 
 var bw=window.setInterval(closeDiv,1)//每0.001秒调用一次changeW
}

